using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

namespace Consulenza.Web
{
    public partial class ModuloFinalitaAbitazioni : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            
        }

        /// <summary>
        /// Report del patrimonio immobiliare
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button3_Click(object sender, EventArgs e)
        {
            var ci = new ConsulenzaImmobiliareWS.WSImmobiliare();

            var chiaveClientePb = Convert.ToInt32(txtChiaveClientePb.Text.Trim());

            var listaIdImmobileCatasto = new List<string>();
            var listaIdSezione = new List<Int32>();
            string immobili = "";
         
          
            foreach (var item in txtSchede.Text.Split(';'))
            {
                listaIdSezione.Add(Convert.ToInt32(item));
            };

            //byte[] myPdf = ci.CreaReport_ModuloDettaglioAbitazioni(chiaveClientePb, listaIdSezione.ToArray());
            //if (myPdf != null)
            //{
            //    Session["pdf"] = myPdf;
            //    Response.Redirect("Report.aspx", false);
            //}
            //else
            //    ScriptManager.RegisterClientScriptBlock(Page, typeof(Page), "ClientScript", "alert('Deve essere selezionata almeno una voce')", true);
          
        }

        /// <summary>
        /// Popola la txtSchede con le selezioni fatte sulla lista delle sezioni
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button4_Click(object sender, EventArgs e)
        {
            var selected = chklstSezioni.Items.Cast<ListItem>().Where(li => li.Selected).ToList().Select(o => o.Value);
            txtSchede.Text = string.Join(";", selected);
        }

     
     

    }
}
